/*
 * Stellarium360 astronomy simulation and visualization
 *
 * Copyright (C) 2002 Fabien Chereau
 * Copyright (C) 2009 Digitalis Education Solutions, Inc.
 * Copyright (C) 2014 of the LSS Team & Association Sirius
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Stellarium360 is a free open project of of LSS team
 * See the TRADEMARKS file for free open project usage requirements.
 *
 */

#ifndef _ARTIFICIAL_PLANET_H_
#define _ARTIFICIAL_PLANET_H_

#include "program_object.hpp"
#include "object_base.hpp"
#include "stellarium360.hpp"
#include "utility.hpp"
#include "s_font.hpp"
#include "tone_reproductor.hpp"
#include "vecmath.hpp"
#include "callbacks.hpp"
#include "fader.hpp"
#include "translator.hpp"
#include "orbit.hpp"
#include "model3D.hpp"
#include "ring.hpp"
#include <list>
#include <string>
#include "entity.hpp"

class Entity;

// Class for flying to new planets
class ArtificialPlanet : public Entity 
{
public:
	ArtificialPlanet(Entity &orig);
	void setDest(Entity &dest);
	void computeAverage(float t);
private:
	void setRot(const Vec3d &r);
	static Vec3d getRot(Entity *p);
	Entity *dest;
	const string orig_name;
	const string orig_name_i18n;
	const double orig_radius;
	Vec3d orig_rotation;
	Vec3d startPos;
};

#endif // _ARTIFICIAL_PLANET_H_
