/*
 * Stellarium360 astronomy simulation and visualization
 *
 * Copyright (C) 2007 Digitalis Education Solutions, Inc.
 * Copyright (C) 2009 Digitalis Education Solutions, Inc.
 * Copyright (C) 2013 of the LSS team
 * Copyright (C) 2014 of the LSS Team & Association Sirius
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Stellarium360 is a free open project of of LSS team
 * See the TRADEMARKS file for free open project usage requirements.
 *
 */

// manage an external viewer

#include <iostream>
#include "external_viewer.hpp"
#include "app_settings.hpp"
#include <sstream>
#include <string>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

bool ExternalViewer::is_playing = false;
//~ char ExternalViewer::m_last[101] = {0};

ExternalViewer::ExternalViewer(std::string filename, std::string data_dir) //, std::string coordinate_system)
{
	//~ bool dome = (coordinate_system == "dome");
//~ 
	//~ send_IPC("r 0 0 0 0 0 0");
	//~ send_IPC("c 0");
//~ 
	//~ char comm[101];
	//~ sprintf( comm, "p %d", dome ? 1 : 0 );
	//~ send_IPC(comm);

	//~ controlScript = data_dir + "script_external_viewer ";

	// TODO check for load error
//~ #ifdef LSS
	//~ string action = controlScript + "start " + filename + " &";
//~ #else
//~ string action = controlScript + "start \"" + filename + "\" &";
//~ #endif	
	// Change forward slash to backslash for windows system call
	//~ if( AppSettings::Instance()->Windows() )
		//~ for( size_t pos = action.find("/"); pos != string::npos; pos = action.find("/") )
			//~ action.replace( pos, 1, "\\" );
	
    //std::cout << "EV External viewer constructor :" << action << "\n";
	string extention=filename.substr(filename.length()-3,3);
	
	
    //~ std::cout << "EV Extention :" << extention << " pour action " << action << "\n";

	string action1; 

	if (extention=="avi" || extention=="mov" || extention=="mpg" || extention=="mp4")
		action1="mplayer -fs -osdlevel 0 "+ filename + " &";
	else
	if (extention=="mp3" || extention=="ogg")
		action1="cvlc "+ filename + " &";
	else
	if (extention==".sh")
		action1="sh "+ filename + " &";
	else
	if (extention==".swf")
		action1="gnash "+ filename + " &";
	else
	if (extention==".png")
		action1="qiv "+ filename + " &";
	else
		action1="NONE";

	if (action1 != "NONE")
		if (system(action1.c_str())) cout << "EV External::external_viewer constructor error mplayer "<< action1 << endl;
    
	//~ if (system(action.c_str())) cout << "EV External::external_viewer constructor" << endl;
	is_playing = 1;
	//~ MediaState state;
	//~ state.playStateVideo = MediaState::PLAYING;
	//~ SharedData::Instance()->Media( state );
//~ 
	//~ if(!dome)
		//~ set_scale(1.0, 0);
}

// For consistency with image interface
//~ ExternalViewer::ExternalViewer(std::string filename, std::string data_dir, int coordinate_system)
//~ {
	//~ ExternalViewer( filename, data_dir, (coordinate_system == 0) ? "viewport" : "dome" );
//~ }

ExternalViewer::~ExternalViewer()
{
	//stop();
	//~ send_IPC("r 0 0 0 0 0 0");
}

//~ void ExternalViewer::resume()
//~ {
	//~ std::string action = controlScript + "resume &";
	//~ if (system(action.c_str())) cout << "EV External::extern_viewer resume" << endl;
	//~ is_playing=1;
	//~ MediaState state;
	//~ state.playStateVideo = MediaState::PLAYING;
	//~ SharedData::Instance()->Media( state );
//~ }
//~ 
//~ void ExternalViewer::pause()
//~ {
	//~ std::string action = controlScript + "pause &";
	//~ if (system(action.c_str())) cout << "EV External::extern_viewer pause" << endl;
	//~ is_playing=0;
	//~ MediaState state;
	//~ state.playStateVideo = MediaState::PAUSED;
	//~ SharedData::Instance()->Media( state );
//~ }

void ExternalViewer::stop()
{
	std::string action = "killall mplayer;killall vlc";
	if (system(action.c_str())) cout << "EV External::extern_viewer stop" << endl;
	is_playing=0;
	//~ MediaState state;
	//~ state.playStateVideo = MediaState::STOPPED;
	//~ SharedData::Instance()->Media( state );
}


//~ void ExternalViewer::set_alpha(float alpha, float duration)
//~ {
	//~ char comm[101];
	//~ sprintf( comm, "r %5.2f %5.2f %5.2f %5.2f %5.2f %5.5f", NO_VALUE,  NO_VALUE,  NO_VALUE,  NO_VALUE,  alpha,  duration*1000.f);
	//~ send_IPC(comm);
//~ }
//~ 
//~ void ExternalViewer::set_scale(float scale, float duration)
//~ {
	//~ char comm[101];
	//~ sprintf( comm, "r %5.2f %5.2f %5.2f %5.2f %5.2f %5.5f", NO_VALUE,  NO_VALUE,  scale,  NO_VALUE,  NO_VALUE,  duration*1000.f);
	//~ send_IPC(comm);
//~ }
//~ 
//~ void ExternalViewer::set_rotation(float rotation, float duration)
//~ {
	//~ char comm[101];
	//~ sprintf( comm, "r %5.2f %5.2f %5.2f %5.2f %5.2f %5.5f", NO_VALUE,  NO_VALUE,  NO_VALUE,  -rotation,  NO_VALUE,  duration*1000.f);
	//~ send_IPC(comm);
//~ }
//~ 
//~ void ExternalViewer::set_viewport(string coordinate_system) {
	//~ bool dome = (coordinate_system == "dome");
	//~ char comm[101];
	//~ sprintf( comm, "p %d", dome ? 1 : 0 );
	//~ fprintf(stderr,"EV I use set_viewport with command p %d\n",clone ? 1 : 0);
	//~ send_IPC(comm);
//~ }
//~ 
//~ void ExternalViewer::set_location(float xpos, bool deltax, float ypos, bool deltay, float duration)
//~ {
	//~ char comm[101];
	//~ float x = deltax ? xpos : NO_VALUE;
	//~ float y = deltay ? -ypos : NO_VALUE;
//~ 
	//~ sprintf( comm, "r %5.2f %5.2f %5.2f %5.2f %5.2f %5.5f", x,  y,  NO_VALUE,  NO_VALUE,  NO_VALUE,  duration*1000.f);
	//~ fprintf(stderr,"EV I use set_location with command r %5.2f %5.2f %5.2f %5.2f %5.2f %5.5f\n", x,  y,  NO_VALUE,  NO_VALUE,  NO_VALUE,  duration*1000.f);
	//~ send_IPC(comm);
//~ }
//~ 
//~ void ExternalViewer::set_clone(int clone)
//~ {
	//~ char comm[101];
	//~ sprintf( comm, "c %d", clone ? 1 : 0 );
	//~ fprintf(stderr,"EV I use set_clone with command %c\n",clone ? 1 : 0);
	//~ send_IPC(comm);
//~ }

//~ 
//~ bool ExternalViewer::send_IPC(const char *command)
//~ {
//~ 
//~ #ifdef EXTERNAL_VIEWER_IPC
	//~ int ipc = open( EXTERNAL_VIEWER_IPC, O_WRONLY | O_NONBLOCK );
	//~ if (ipc!=-1) {
		//~ char output_str[101];
		//~ sprintf(output_str, "%-99s\n", command);
		//~ write(ipc, output_str, 100);
		//~ close(ipc);
		//~ memcpy( m_last, command, sizeof(m_last) );
		//~ fprintf(stderr,"EV I use send_IPC with command %s\n",command);
		//~ return true;
	//~ }
	//~ else
	//~ fprintf(stderr,"EV I can't open ipc and use send_IPC with command %s\n",command);
//~ #endif
	//~ fprintf(stderr,"EV on send_IPC, EXTERNAL_VIEWER_IPC is not define  with command %s\n",command);
	//~ return false;
//~ }
//~ 
//~ void ExternalViewer::send_last(void) {
	//~ if(is_playing)
		//~ send_IPC(m_last);
//~ }
//~ 
