/*
 * Stellarium360 astronomy simulation and visualization
 *
 * Copyright (C) 2014 Association Sirius
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Stellarium360 is a free open project of of LSS team
 * See the TRADEMARKS file for free open project usage requirements.
 *
 */
 
 /* This class manage the low level execution for stellarium360 script
  * 
  */

#ifndef _SCRIPT_H_
#define _SCRIPT_H_

using namespace std;

//gestion des lignes de code d'un script
class Token
{
	public:
		Token(string s, string p);  //s: ligne of script_file p: path of script_file
		~Token();
		void printtoken();
		Token * pNext;
		string getToken();
		string getTokenPath();
	private:
		string elmt;
		string path;
};

//gestion complete des scripts
class Script
{
	public:
		Script();
		~Script();
		void printScript();
		int load(string script_file, string script_path );
		void add(Token *token);
		void clean();
		int getFirst(string &command, string &dataDir);
		int next_command(string &command);	//for compatibility
		string get_path();					//for compatibility
		
	private:
		Token *pFirst;
		Token *pLast;
		Token *p2First;
		Token *p2Last;		
		int loadI(string script_file , string script_path , int wp);
		void add1(Token *token);		
		void add2(Token *token);		
		ifstream *input_file;
		string path;
};

#endif
