/*
 * Stellarium360 astronomy simulation and visualization
 *
 * Copyright (C) 2002 Fabien Chereau
 * Copyright (C) 2009 Digitalis Education Solutions, Inc.
 * Copyright (C) 2013 of the LSS team
 * Copyright (C) 2014-2015 of the LSS Team & Association Sirius
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Stellarium360 is a free open project of the LSS team
 * See the TRADEMARKS file for free open project usage requirements.
 *
 */

#ifndef _STELLARIUM360_H_
#define _STELLARIUM360_H_

#include <config.h>

#if defined( WIN32 ) || defined ( __MWERKS__ ) || defined( _MSC_VER ) || defined( MINGW32 )
#  ifndef WIN32
#     define WIN32
#	  define EDITION "Windows"
#  endif
#  include <windows.h>
#endif

#ifndef WIN32
#undef EDITION
#define LINUX 1
#define EDITION "Linux"

// what type of programm did we have ?
#define TYPE_EDITION "Requiem"
//~ #define TYPE_EDITION "release"
//~ #define TYPE_EDITION "For testing"
//~ #define TYPE_EDITION "release candidate"
//~ #define TYPE_EDITION "Lionel Ruiz testing"

#define PATH_FILE_LOCK "/tmp/stellarium360.lock"
#endif

#include <GL/glew.h>

#include "SDL2/SDL.h"
#include "SDL2/SDL_opengl.h"
#include <GL/glu.h>

#define APP_NAME PACKAGE_STRING

#define APP_LOWER_NAME "stellarium360"

#include "fmath.hpp"

#define AU 149597870.691
#define MY_MAX(a,b) (((a)>(b))?(a):(b))
#define MY_MIN(a,b) (((a)<(b))?(a):(b))

#include <cassert>

    
    //this old reference are obsolet : try to del it all off them
    #define SCRIPT_REMOVEABLE_DISK "deepsky"
    #define SCRIPT_USB_DISK "planets"
    #define SCRIPT_INTERNAL_DISK "basis"
    #define SCRIPT_CUSTOM "navigation"
    #define SCRIPT_LOCAL_DIRECTORY "fscripts"
    #define SCRIPT_INTERNAL_DIRECTORY "internal/"
//~ #endif

//~ #ifdef NAV
    //~ #undef EDITION
    //~ #define EDITION "LSS Navigation"
    //~ #undef SCRIPT_INTERNAL_DISK
    //~ #define SCRIPT_INTERNAL_DISK "navigation"
//~ #endif

#endif /*_STELLARIUM360_H_*/
