/*
 * Stellarium360 astronomy simulation and visualization
 *
 * Copyright (C) 2002 Fabien Chereau
 * Copyright (C) 2009 Digitalis Education Solutions, Inc.
 * Copyright (C) 2014 Association Sirius
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Stellarium360 is a free open project of of LSS team
 * See the TRADEMARKS file for free open project usage requirements.
 *
 */
#include "system.hpp"
#include <dirent.h>

#define BUFFER_SIZE 1024

bool is_readable( const std::string & file )  
{  
    std::ifstream fichier( file.c_str() );  
    return !fichier.fail();  
} 


bool file_exist ( const std::string& file)
{
	FILE * fp = fopen(file.c_str() , "r"); 
	if (fp == NULL) 
	    return false;
	else { 
	    fclose(fp); 
		return true;
	}
}

bool dir_exist ( const std::string& rep)
{
	DIR *dir;
	if ( (dir = opendir(rep.c_str() )) != NULL)
		return true;
	else
		return false;
}


int file_copy( const std::string src, const std::string dest) 
{ 
    FILE* fSrc; 
    FILE* fDest;
    char buffer[BUFFER_SIZE]; 
    unsigned int NbLus; 

	printf("src : %s\n",src.c_str());
	printf("dest : %s\n",dest.c_str());
	
    if ((fSrc = fopen(src.c_str(), "r")) == NULL) {
			fprintf(stderr, "file_copy error src name %s\n",src.c_str());
			return 1; 
	}
  
    if ((fDest = fopen(dest.c_str(), "w")) == NULL) { 
        fclose(fSrc); 
		fprintf(stderr, "file_copy error dest name %s\n",src.c_str());
        return 2; 
    } 

    while ((NbLus = fread(buffer, sizeof(char), BUFFER_SIZE, fSrc)) != 0) 
        if(fwrite(buffer, 1, NbLus, fDest) != NbLus) {
			fprintf(stderr, "file_copy error in buffer copy\n"); 
			return 3;
	}
  
    fclose(fDest); 
    fclose(fSrc); 
 
    return 0; 
}

