/*
 * Stellarium360 astronomy simulation and visualization
 *
 * Copyright (C) 2005 Fabien Chereau
 * Copyright (C) 2009 Digitalis Education Solutions, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Stellarium360 is a free open project of of LSS team
 * See the TRADEMARKS file for free open project usage requirements.
 *
 */

// This file contains translations for all translatable strings stored within data files
// It is not meant to be compiled but just parsed by gettext

class Translations
{
	void Translations() {
		;
	}

	static translationList() {
		// Generate Gettext strings for traduction
		assert(0);

		// Planets and satellites from ssystem.ini
		N_("Sun");
		N_("Mercury");
		N_("Venus");
		N_("Earth");
		N_("Moon");
		N_("Mars");
		N_("Phobos");
		N_("Deimos ");
		N_("Ceres");
		N_("Jupiter");
		N_("Io");
		N_("Europa");
		N_("Ganymede");
		N_("Callisto");
		N_("Amalthea");
		N_("Himalia");
		N_("Elara");
		N_("Pasiphae");
		N_("Sinope");
		N_("Lysithea");
		N_("Carme");
		N_("Ananke");
		N_("Leda");
		N_("Thebe");
		N_("Adrastea");
		N_("Metis");
		N_("Saturn");
		N_("Mimas");
		N_("Enceladus");
		N_("Tethys");
		N_("Dione");
		N_("Rhea");
		N_("Titan");
		N_("Hyperion");
		N_("Iapetus");
		N_("Uranus");
		N_("Miranda");
		N_("Ariel");
		N_("Umbriel");
		N_("Titania");
		N_("Oberon");
		N_("Cordelia");
		N_("Ophelia");
		N_("Bianca");
		N_("Desdemona");
		N_("Juliet");
		N_("Portia");
		N_("Rosalind");
		N_("Belinda");
		N_("Puck");
		N_("Caliban");
		N_("Sycorax");
		N_("Prospero");
		N_("Setebos");
		N_("Stephano");
		N_("Trinculo");
		N_("Francisco");
		N_("Margaret");
		N_("Ferdinand");
		N_("Perdita");
		N_("Mab");
		N_("Cupid");
		N_("Neptune");
		N_("Triton");
		N_("Neried");
		N_("Naiad");
		N_("Thalassa");
		N_("Despina");
		N_("Galatea");
		N_("Larissa");
		N_("Proteus");
		N_("Halimede");
		N_("Psamathe");
		N_("Sao");
		N_("Laomedeia");
		N_("Neso");
		N_("Pluto");
		N_("Charon");
		N_("Eris");
		N_("Solar System Observer");

		// Body types
		N_("Asteroids");
		N_("Comets");
		N_("Planets");
		N_("Dwarf Planets");
		N_("Moons");
		N_("Small Solar System Bodies");
		N_("Artificial Satellites");
		N_("Spacecraft");
		N_("Kuiper Belt Objects");

		// Cardinals names
		N_("N");	// North
		N_("S");	// South
		N_("E");	// East
		N_("W");	// West

		// Month abbreviations
		N_("JAN");	// January
		N_("FEB");
		N_("MAR");
		N_("APR");
		N_("MAY");
		N_("JUN");
		N_("JUL");
		N_("AUG");
		N_("SEP");
		N_("OCT");
		N_("NOV");
		N_("DEC");	// December

		// Constellation cultures
		N_("Chinese");
		N_("Egyptian");
		N_("Hindu");
		N_("Inuit");
		N_("Inuit (color)");
		N_("Lakota");
		N_("Navajo");
		N_("Norse");
		N_("Polynesian");
		N_("Sami");
		N_("Western");
		N_("Western (modern)");
		N_("Western (color)");


		// Western Constellations
		N_("Aquila");				// aql
		N_("Andromeda");			// and
		N_("Sculptor");			// scl
		N_("Ara");				// ara
		N_("Libra");				// lib
		N_("Cetus");				// cet
		N_("Aries");				// ari
		N_("Scutum");				// sct
		N_("Pyxis");				// pyx
		N_("Bootes");				// boo
		N_("Caelum");				// cae
		N_("Chamaeleon");			// cha
		N_("Cancer");				// cnc
		N_("Capricornus");		// cap
		N_("Carina");				// car
		N_("Cassiopeia");			// cas
		N_("Centaurus");			// cen
		N_("Cepheus");			// cep
		N_("Coma Berenices");		// com
		N_("Canes Venatici");		// cvn
		N_("Auriga");				// aur
		N_("Columba");			// col
		N_("Circinus");			// cir
		N_("Crater");				// crt
		N_("Corona Australis");	// cra
		N_("Corona Borealis");	// crb
		N_("Corvus");				// crv
		N_("Crux");				// cru
		N_("Cygnus");				// cyg
		N_("Delphinus");			// del
		N_("Dorado");				// dor
		N_("Draco");				// dra
		N_("Norma");				// nor
		N_("Eridanus");			// eri
		N_("Sagitta");			// sge
		N_("Fornax");				// for
		N_("Gemini");				// gem
		N_("Camelopardalis");		// cam
		N_("Canis Major");		// cma
		N_("Ursa Major");			// uma
		N_("Grus");				// gru
		N_("Hercules");			// her
		N_("Horologium");			// hor
		N_("Hydra");				// hya
		N_("Hydrus");				// hyi
		N_("Indus");				// ind
		N_("Lacerta");			// lac
		N_("Monoceros");			// mon
		N_("Lepus");				// lep
		N_("Leo");				// leo
		N_("Lupus");				// lup
		N_("Lynx");				// lyn
		N_("Lyra");				// lyr
		N_("Antlia");				// ant
		N_("Microscopium");		// mic
		N_("Musca");				// mus
		N_("Octans");				// oct
		N_("Apus");				// aps
		N_("Ophiuchus");			// oph
		N_("Orion");				// ori
		N_("Pavo");				// pav
		N_("Pegasus");			// peg
		N_("Pictor");				// pic
		N_("Perseus");			// per
		N_("Equuleus");			// equ
		N_("Canis Minor");		// cmi
		N_("Leo Minor");			// lmi
		N_("Vulpecula");			// vul
		N_("Ursa Minor");			// umi
		N_("Phoenix");			// phe
		N_("Piscis Austrinus");	// psc
		N_("Pisces");				// psa
		N_("Volans");				// vol
		N_("Puppis");				// pup
		N_("Reticulum");			// ret
		N_("Sagittarius");		// sgr
		N_("Scorpius");			// sco
		N_("Scutum");				// sct
		N_("Serpens");			// ser
		N_("Sextans");			// sex
		N_("Mensa");				// men
		N_("Taurus");				// tau
		N_("Telescopium");		// tel
		N_("Tucana");				// tuc
		N_("Triangulum");			// tri
		N_("Triangulum Australe");// tra
		N_("Aquarius");			// aqr
		N_("Virgo");				// vir
		N_("Vela");				// vel

		// Egyptian Constellations
		N_("Bull's Foreleg");   // 001
		N_("Two Poles");        // 002
		N_("Lion");     // 003
		N_("Two Jaws"); // 004
		N_("Sah");      // 005
		N_("Bird");     // 006
		N_("Sek");      // 007
		N_("Triangle"); // 008
		N_("Ferry Boat");       // 009
		N_("Boat");     // 010
		N_("Crocodile");        // 011
		N_("Selkis");   // 012
		N_("Prow");     // 013
		N_("Horus");    // 014
		N_("Sheepfold");        // 015
		N_("Giant");    // 016
		N_("Hippopotamus");     // 017
		N_("Flock");    // 018
		N_("Pair of Stars");    // 019
		N_("Khanuwy Fish");     // 020
		N_("Net");      // 021
		N_("Jaw");      // 022
		N_("Mooring Post");     // 023
		N_("Kenemet");  // 024
		N_("Chematy");  // 025
		N_("Waty Bekety");      // 026
		N_("Sheep");    // 027
		N_("Stars of Water");   // 028

		// Chinese Constellations
		N_("Northern Dipper");  // 001
		N_("Curved Array");     // 002
		N_("Coiled Thong");     // 003
		N_("Wings");    // 004
		N_("Chariot");  // 005
		N_("Tail");     // 006
		N_("Winnowing Basket"); // 007
		N_("Dipper");   // 008
		N_("Drum");     // 009
		N_("Three Steps");      // 010
		N_("Imperial Guards");  // 011
		N_("Horn");     // 012
		N_("Willow");   // 013
		N_("Imperial Passageway");      // 014
		N_("Kitchen");  // 015
		N_("River Turtle");     // 016
		N_("Stomach");  // 017
		N_("Great General");    // 018
		N_("Wall");     // 019
		N_("Legs");     // 020
		N_("Root");     // 021
		N_("Ramparts"); // 022
		N_("Flying Corridor");  // 023
		N_("Outer Fence");      // 024
		N_("Ford");     // 025
		N_("Seven Excellencies");       // 026
		N_("Market");   // 028
		N_("Five Chariots");    // 030
		N_("Rolled Tongue");    // 031
		N_("Net");      // 032
		N_("Toilet");   // 033
		N_("Screen");   // 034
		N_("Soldiers Market");  // 035
		N_("Square Granary");   // 036
		N_("Three Stars");      // 037
		N_("Four Channels");    // 038
		N_("Well");     // 039
		N_("South River");      // 040
		N_("North River");      // 041
		N_("Five Feudal Kings");        // 042
		N_("Orchard");  // 043
		N_("Meadows");  // 044
		N_("Circular Granary"); // 045
		N_("Purple Palace");    // 046
		N_("Extended Net");     // 047
		N_("Arsenal");  // 048
		N_("Hook");     // 049
		N_("Supreme Palace");   // 050
		N_("Jade Well");        // 051
		N_("Lance");    // 052
		N_("Boat");     // 053
		N_("Mausoleum");        // 054
		N_("Dog");      // 055
		N_("Earth God's Temple");       // 056
		N_("Bow and Arrow");    // 057
		N_("Pestle");   // 058
		N_("Mortar");   // 059
		N_("Rooftop");  // 060
		N_("Thunderbolt");      // 061
		N_("Chariot Yard");     // 062
		N_("Good Gourd");       // 063
		N_("Rotten Gourd");     // 064
		N_("Encampment");       // 065
		N_("Thunder and Lightning");    // 066
		N_("Palace Gate");      // 067
		N_("Emptiness");        // 068
		N_("Weaving Girl");     // 069
		N_("Girl");     // 070
		N_("Ox");       // 071
		N_("Heart");    // 072
		N_("Room");     // 073
		N_("Spring");   // 074
		N_("Establishment");    // 075
		N_("Flail");    // 076
		N_("Spear");    // 077
		N_("Right Flag");       // 078
		N_("Left Flag");        // 079
		N_("Drumstick");        // 080
		N_("Bond");     // 081
		N_("Woman's Bed");      // 082
		N_("Western Door");     // 083
		N_("Eastern Door");     // 084
		N_("Farmland"); // 085
		N_("Star");     // 086
		N_("Ghosts");   // 087
		N_("Xuanyuan"); // 088
		N_("Tripod");   // 089
		N_("Neck");     // 090
		N_("Zaofu");    // 091
		N_("Market Officer");   // 092
		N_("Banner of Three Stars");    // 093

		// Polynesian Constellations
		N_("Bailer");   // 001
		N_("Cat's Cradle");     // 002
		N_("Voice of Joy");     // 004
		N_("The Seven");        // 005
		N_("Maui's Fishhook");  // 006
		N_("Navigator's Triangle");     // 007
		N_("Kite of Kawelo");   // 008
		N_("Frigate Bird");     // 009
		N_("Cared for by Moon");        // 010
		N_("Dolphin");  // 011

		// Inca Constellations
		N_("Mama Llama");
		N_("Baby Llama");
		N_("Toad");
		N_("Quail");
		N_("Fox");
		N_("Herder");
		N_("Snake");

		// Inuit Constellations
		N_("Two Sunbeams");
		N_("Two Placed Far Apart");
		N_("Dogs");
		N_("Collarbones");
		N_("Lamp Stand");
		N_("Caribou");
		N_("Two in Front");
		N_("Breastbone");
		N_("Runners");
		N_("Blubber Container");
		N_("The One Behind");

		// Hindu constellations
		N_("Sapt Rishi");
		N_("Laghu Saptrishi");
		N_("Kaalpurush");
		N_("Mrgsirsa");
		N_("Ardra");
		N_("Pushya");
		N_("Aslesha");
		N_("Rohini");
		N_("Magha");
		N_("Purvaphalguni");
		N_("Uttraphalguni");
		N_("Hasta");
		N_("Chitra");
		N_("Swati");
		N_("Vishakha");
		N_("Anuradha");
		N_("Jyeshtha");
		N_("Mula");
		N_("Purvasdha");
		N_("Uttrasdha");
		N_("Sravan");
		N_("Danistha");
		N_("Satbhisaj");
		N_("Purvabhadrapad");
		N_("Uttrabhadprad");
		N_("Punarvasu");
		N_("Revati");
		N_("Ashwani");
		N_("Bharani");
		N_("Kritika");
		N_("Shwan");

		// Lakota constellations
		N_("Hand");
		N_("Snake");
		N_("Fireplace");
		N_("Dipper");
		N_("Race Track");
		N_("Animal");
		N_("Elk");
		N_("Seven Little Girls");
		N_("Dried Willow");
		N_("Salamander");
		N_("Turtle");
		N_("Thunderbird");
		N_("Bear's Lodge");

		// Navajo constellations
		N_("Revolving Male");
		N_("Revolving Female");
		N_("Man with Feet Apart");
		N_("Lizard");
		N_("Dilyehe");
		N_("First Big One");
		N_("Rabbit Tracks");
		N_("First Slim One");

		// Norse constellations
		N_("Aurvandil's Toe");
		N_("Wolf's Mouth");
		N_("The Fishermen");
		N_("Woman's Cart");
		N_("Man's Cart");
		N_("The Asar Battlefield");

		// Sami constellations
		N_("Sarva the Elk");
		N_("Favdna's Bow and Arrow");
		N_("Galla's Sons");
		N_("Sky Support");
		N_("Favdna");
		N_("The Runner");
		N_("Morning Star");
		N_("Pack of Dogs");
		N_("Galla");
		N_("The Ski Runners");


		// Western star names
		N_("Acamar");
		N_("Achernar");
		N_("Acrab");
		N_("Acrux");
		N_("Acubens");
		N_("Adhafera");
		N_("Adhara");
		N_("Adhil");
		N_("Ain");
		N_("Albali");
		N_("Albireo");
		N_("Alchiba");
		N_("Alcor");
		N_("Alcyone");
		N_("Aldebaran");
		N_("Alderamin");
		N_("Alfirk");
		N_("Algedi");
		N_("Algenib");
		N_("Algieba");
		N_("Algol");
		N_("Algorab");
		N_("Alhena");
		N_("Alioth");
		N_("Alkaid");
		N_("Alkalurops");
		N_("Alkes");
		N_("Almaak");
		N_("Alnair");
		N_("Alnasl");
		N_("Alnath");
		N_("Alnilam");
		N_("Alnitak");
		N_("Al Niyat");
		N_("Alphard");
		N_("Alphekka");
		N_("Alpheratz");
		N_("Alrakis");
		N_("Alrescha");
		N_("Alshain");
		N_("Altair");
		N_("Altais");
		N_("Alterf");
		N_("Aludra");
		N_("Alula Australis");
		N_("Alula Borealis");
		N_("Alya");
		N_("Ancha");
		N_("Ankaa");
		N_("Antares");
		N_("Arcturus");
		N_("Arkab");
		N_("Arneb");
		N_("Ascella");
		N_("Asellus Australis");
		N_("Asellus Borealis");
		N_("Aspidiske");
		N_("Asterope");
		N_("Atik");
		N_("Atlas");
		N_("Atria");
		N_("Avior");
		N_("Azelfafage");
		N_("Azha");
		N_("Babcock's Star");
		N_("Barnard's Star");
		N_("Baten Kaitos");
		N_("Beid");
		N_("Bellatrix");
		N_("Bernes 135");
		N_("Betelgeuse");
		N_("Biham");
		N_("Botein");
		N_("Campbell's Star");
		N_("Canopus");
		N_("Capella");
		N_("Caph");
		N_("Castor");
		N_("Cebalrai");
		N_("Celaeno");
		N_("Chara");
		N_("Chertan");
		N_("Cor Caroli");
		N_("Cujam");
		N_("Cursa");
		N_("Dabih");
		N_("Deneb");
		N_("Deneb Algedi");
		N_("Denebola");
		N_("Diphda");
		N_("Dschubba");
		N_("Dubhe");
		N_("Edasich");
		N_("Electra");
		N_("Enif");
		N_("Errai");
		N_("Etamin");
		N_("Fomalhaut");
		N_("Furud");
		N_("Gacrux");
		N_("Giausar");
		N_("Gienah");
		N_("Girtab");
		N_("Gomeisa");
		N_("Grumium");
		N_("Hadar");
		N_("Hamal");
		N_("Homan");
		N_("Izar");
		N_("Kapteyn's Star");
		N_("Kaus Australis");
		N_("Kaus Borealis");
		N_("Kaus Media");
		N_("Keid");
		N_("Kitalpha");
		N_("Kocab");
		N_("Kornephoros");
		N_("Kruger 60");
		N_("Kurhah");
		N_("Lesath");
		N_("Luyten's Star");
		N_("Maasym");
		N_("Maia");
		N_("Marfik");
		N_("Markab");
		N_("Marsic");
		N_("Matar");
		N_("Mebsuta");
		N_("Megrez");
		N_("Meissa");
		N_("Mekbuda");
		N_("Menkalinan");
		N_("Menkar");
		N_("Menkent");
		N_("Menkib");
		N_("Merak");
		N_("Merga");
		N_("Merope");
		N_("Mesarthim");
		N_("Miaplacidus");
		N_("Mimosa");
		N_("Mintaka");
		N_("Mira");
		N_("Mirach");
		N_("Mirphak");
		N_("Mirzam");
		N_("Mizar");
		N_("Mothallah");
		N_("Muliphein");
		N_("Muphrid");
		N_("Muscida");
		N_("Naos");
		N_("Nashira");
		N_("Nekkar");
		N_("Nihal");
		N_("Nunki");
		N_("Nusakan");
		N_("Peacock");
		N_("Phact");
		N_("Phad");
		N_("Pherkad");
		N_("Pleione");
		N_("Polaris");
		N_("Pollux");
		N_("Porrima");
		N_("Procyon");
		N_("Propus");
		N_("Proxima");
		N_("Rasalas");
		N_("Rasalgethi");
		N_("Rasalhague");
		N_("Rastaban");
		N_("Red Rectangle");
		N_("Regor");
		N_("Regulus");
		N_("Rigel");
		N_("Rigil Kent");
		N_("Rotanev");
		N_("Ruchbah");
		N_("Rukbat");
		N_("Sabik");
		N_("Sadachbia");
		N_("Sadalbari");
		N_("Sadalmelik");
		N_("Sadalsuud");
		N_("Sadr");
		N_("Saiph");
		N_("Seginus");
		N_("Sham");
		N_("Shaula");
		N_("Sheat");
		N_("Shedir");
		N_("Sheliak");
		N_("Sheratan");
		N_("Sirius");
		N_("Situla");
		N_("Skat");
		N_("Spica");
		N_("Sualocin");
		N_("Subra");
		N_("Suhail");
		N_("Sulafat");
		N_("Syrma");
		N_("Talitha");
		N_("Tania Australis");
		N_("Tania Borealis");
		N_("Tarazed");
		N_("Taygeta");
		N_("Tegmine");
		N_("Tejat");
		N_("The Garnet Star");
		N_("Thuban");
		N_("Unukalhai");
		N_("Van Maanen 2");
		N_("Vega");
		N_("Vindemiatrix");
		N_("Wasat");
		N_("Wazn");
		N_("Wezen");
		N_("Yed Posterior");
		N_("Yed Prior");
		N_("Yildun");
		N_("Zaniah");
		N_("Zaurak");
		N_("Zavijava");
		N_("Zibal");
		N_("Zosma");
		N_("Zubenelgenubi");
		N_("Zubeneschamali");

		// Hindu star names
		N_("Abhijeet");
		N_("Agni");
		N_("Angira");
		N_("Anuradha");
		N_("Ardra");
		N_("Ashwini");
		N_("Aslesha");
		N_("Atri");
		N_("Augutsya");
		N_("Bharni");
		N_("Brahamhridya");
		N_("Chitra");
		N_("Dhanishtha-1");
		N_("Dhanishtha-2");
		N_("Dhruv");
		N_("Hasta");
		N_("Jyeshtha");
		N_("Kratu");
		N_("Kritika");
		N_("Lubhdak");
		N_("Magha");
		N_("Marichi");
		N_("Mrigsirsa");
		N_("Mula");
		N_("Prajapati");
		N_("Pulaha");
		N_("Pulastya");
		N_("Punarsvasu-2");
		N_("Punarvasu-1");
		N_("Punarvasu-2");
		N_("Purva Bhadrapad-1");
		N_("Purva Bhadrapad-2");
		N_("Purvaphalguni-1");
		N_("Purvaphalguni-2");
		N_("Purvasadha-1");
		N_("Pushya");
		N_("Rohini");
		N_("Shravan");
		N_("Swati");
		N_("Uttarabhadrapad-1");
		N_("Uttarabhadrapad-2");
		N_("UttraPhalguni-1");
		N_("Uttraphalguni-2");
		N_("Uttrasadha");
		N_("Vashista");
		N_("Vishakha");

		// Norse star names
		N_("Day star");
		N_("Guide star");
		N_("South star");

		// Polynesian star names
		N_("A'a");
		N_("Hawaiki");
		N_("Hiki-analia");
		N_("Hiku-ha");
		N_("Hiku-kahi");
		N_("Hiku-kolu");
		N_("Hiku-lima");
		N_("Hiku-lua");
		N_("Hiku-ono");
		N_("Hiku-pau");
		N_("Hokule'a");
		N_("Hokulei");
		N_("Hokupa'a");
		N_("Hoku'ula");
		N_("Holopuni");
		N_("Humu");
		N_("Ka-maile-hope");
		N_("Ka-maile-mua");
		N_("Ka_Maka");
		N_("Kaulia");
		N_("Kaulua-koko");
		N_("Ke_ali'i_o_kona_i_ka_lewa");
		N_("Keoe");
		N_("Lehua-Kona");
		N_("Mole_Honua");
		N_("Nana-hope");
		N_("Nana-mua");
		N_("Puana");
		N_("Puana-kau");
		N_("Pu'uhonua");


		// Nebulae
		N_("M31");
		N_("M42/M43");
		N_("M45");
		N_("Einstein Cross");
		N_("SN Remnant HH30");
		N_("Hubble Deep Field");
		N_("Southern Ring Nebula");
		N_("Ring Nebula");
		N_("Supernova Remnant");
		N_("Tarantula Nebula");
		N_("Spiral Galaxy Coma");
		N_("Merging Galaxies");
		N_("Keyhole Nebula");
		N_("Reflection Nebula Orion");
		N_("Planetary Nebula Aquila");
		N_("Spirograph Nebula");
		N_("Stars Forming SMC");
		N_("Interacting Galaxies");
		N_("Hubble X");
		N_("Ant Nebula");
		N_("Omega Centauri");
		N_("Hubble V");
		N_("Thackerays Globules");
		N_("Face On Galaxy");
		N_("Galaxy spiral arms");
		N_("H II LMC");
		N_("Retina Nebula");
		N_("Cassiopeia A");
		N_("Little Ghost Nebula");
		N_("Double Bubble");
		N_("Dwarf irregular galaxy");
		N_("Egg Nebula");
		N_("V838 Monocerotis");
		N_("NGC1275 PerseusA");
		N_("Pencil Nebula");
		N_("LMC Supernova Remnant");
		N_("Globular Cluster Ara");
		N_("M104 Sombrero Galaxy");
		N_("Stars Forming M33");
		N_("M64 Black Eye Galaxy");
		N_("Hubble Ultra Deep Field");
		N_("Spiral Galaxy Leo");
		N_("Rosetta Nebula");
		N_("IC434 & Horse Head Nebula");
		N_("NGC253");
		N_("Chi & h Per");
		N_("California Nebula");
		N_("NGC6946");
		N_("M1");
		N_("M2");
		N_("M3");
		N_("M4");
		N_("M5");
		N_("M6");
		N_("M7");
		N_("M8");
		N_("M9");
		N_("M10");
		N_("M11");
		N_("M12");
		N_("M13");
		N_("M15");
		N_("M16");
		N_("M17");
		N_("M20");
		N_("M22");
		N_("M27");
		N_("M33");
		N_("M34");
		N_("M36");
		N_("M37");
		N_("M38");
		N_("M44");
		N_("M46");
		N_("M49");
		N_("M51");
		N_("M53");
		N_("M54");
		N_("M58");
		N_("M59");
		N_("M60");
		N_("M61");
		N_("M63");
		N_("M65");
		N_("M66");
		N_("M74");
		N_("M76");
		N_("M78");
		N_("M81");
		N_("M82");
		N_("M83");
		N_("M84");
		N_("M85");
		N_("M86");
		N_("M87");
		N_("M89");
		N_("M90");
		N_("M91");
		N_("M92");
		N_("M94");
		N_("M95");
		N_("M96");
		N_("M97");
		N_("M98");
		N_("M99");
		N_("M100");
		N_("M101");
		N_("M105");
		N_("M106");
		N_("M108");
		N_("M109");


		// TUI script message
		N_("Select and exit to run.");

		// TUI Actions
		N_("Do");
		N_("Done");
		N_("Are you sure ?");

	}
}
